Bug 228758 - (CVE-2007-0770) CVE-2007-0770: GraphicsMagick buffer overflow
CVE-2007-0770: GraphicsMagick buffer overflow
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: GraphicsMagick (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-14 15:43 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-07 05:19:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-02-14 15:43:04 EST
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-0770

"Buffer overflow in GraphicsMagick and ImageMagick allows user-assisted remote
attackers to cause a denial of service and possibly execute arbitrary code via a
PALM image that is not properly handled by the ReadPALMImage function in
coders/palm.c. NOTE: this issue is due to an incomplete patch for CVE-2006-5456."

CVE-2006-5456 says that it is an issue with < 1.1.7, but the discussion in bug
210921 refers to a post-1.1.7 GraphicsMagick, so whether this affects the FE
GraphicsMagick package should be investigated.
Comment 1 Andreas Thienemann 2007-03-07 05:19:19 EST
I'm still not completely sure if this issue is actually exploitable in
GraphicsMagick, as the handling is a tad different then with ImageMagick, but I
adapted the ImageMagick Fix nevertheless.

Note You need to log in before you can comment on or make changes to this bug.